Bug 1130481 - Empathy crashed
Summary: Empathy crashed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 10:50 UTC by Mikhail
Modified: 2015-06-29 22:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:04:45 UTC


Attachments (Terms of Use)

Description Mikhail 2014-08-15 10:50:24 UTC
$ rpm -q empathy
empathy-3.12.4-1.fc20

Program received signal SIGTERM, Terminated.
0xb7fddb1c in __kernel_vsyscall ()
(gdb) thread apply all where

Thread 12 (Thread 0xa3a0ab40 (LWP 5153)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c6e7ac in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0xb3ee9aa1 in g_cond_wait (cond=cond@entry=0x8857370, mutex=mutex@entry=0x8857368) at gthread-posix.c:756
#3  0xb3e7404f in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x8857368, wait=wait@entry=1, end_time=-1) at gasyncqueue.c:419
#4  0xb3e74681 in g_async_queue_pop_unlocked (queue=0x8857368) at gasyncqueue.c:475
#5  0xb3eca83b in g_thread_pool_wait_for_new_task (pool=0x8857260) at gthreadpool.c:245
#6  g_thread_pool_thread_proxy (data=0x8857260) at gthreadpool.c:296
#7  0xb3ec9cfb in g_thread_proxy (data=0xa7d035b0) at gthread.c:764
#8  0xb3c6ad8a in start_thread (arg=0xa3a0ab40) at pthread_create.c:309
#9  0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 11 (Thread 0xa420bb40 (LWP 5152)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c6e7ac in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0xb3ee9aa1 in g_cond_wait (cond=cond@entry=0x8857370, mutex=mutex@entry=0x8857368) at gthread-posix.c:756
#3  0xb3e7404f in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x8857368, wait=wait@entry=1, end_time=-1) at gasyncqueue.c:419
#4  0xb3e74681 in g_async_queue_pop_unlocked (queue=0x8857368) at gasyncqueue.c:475
#5  0xb3eca83b in g_thread_pool_wait_for_new_task (pool=0x8857260) at gthreadpool.c:245
#6  g_thread_pool_thread_proxy (data=0x8857260) at gthreadpool.c:296
#7  0xb3ec9cfb in g_thread_proxy (data=0xa7d0c950) at gthread.c:764
#8  0xb3c6ad8a in start_thread (arg=0xa420bb40) at pthread_create.c:309
#9  0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 10 (Thread 0xa4a0cb40 (LWP 5149)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c6e7ac in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0xb3ee9aa1 in g_cond_wait (cond=cond@entry=0x8814e48, mutex=mutex@entry=0x8814e40) at gthread-posix.c:756
#3  0xb3e7404f in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x8814e40, wait=wait@entry=1, end_time=-1) at gasyncqueue.c:419
#4  0xb3e74681 in g_async_queue_pop_unlocked (queue=0x8814e40) at gasyncqueue.c:475
#5  0xb3eca83b in g_thread_pool_wait_for_new_task (pool=0x88571f8) at gthreadpool.c:245
#6  g_thread_pool_thread_proxy (data=0x88571f8) at gthreadpool.c:296
#7  0xb3ec9cfb in g_thread_proxy (data=0x8764150) at gthread.c:764
#8  0xb3c6ad8a in start_thread (arg=0xa4a0cb40) at pthread_create.c:309
#9  0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 9 (Thread 0xa520db40 (LWP 5133)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3b903eb in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb3eb17cc in poll (__timeout=__timeout@entry=894, __nfds=__nfds@entry=2, __fds=__fds@entry=0x8523ff8) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0x8523ff8, nfds=nfds@entry=2, timeout=timeout@entry=894) at gpoll.c:124
#4  0xb3ea20e0 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x8523ff8, timeout=894, context=0x8524b40) at gmain.c:4028
#5  g_main_context_iterate (context=context@entry=0x8524b40, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#6  0xb3ea2229 in g_main_context_iteration (context=0x8524b40, may_block=may_block@entry=1) at gmain.c:3795
#7  0xb3ea2286 in glib_worker_main (data=0x0) at gmain.c:5541
#8  0xb3ec9cfb in g_thread_proxy (data=0xa7d032c0) at gthread.c:764
#9  0xb3c6ad8a in start_thread (arg=0xa520db40) at pthread_create.c:309
#10 0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 8 (Thread 0xa86b5b40 (LWP 5126)):
---Type <return> to continue, or q <return> to quit---
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3b903eb in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb3eb17cc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xa7d04510) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xa7d04510, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:124
#4  0xb3ea20e0 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xa7d04510, timeout=-1, context=0x851d9c0) at gmain.c:4028
#5  g_main_context_iterate (context=0x851d9c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#6  0xb3ea2493 in g_main_loop_run (loop=loop@entry=0xa7d01ad0) at gmain.c:3928
#7  0xa78b6958 in book_client_dbus_thread (user_data=0x851d9c0) at e-book-client.c:324
#8  0xb3ec9cfb in g_thread_proxy (data=0xa7d03290) at gthread.c:764
#9  0xb3c6ad8a in start_thread (arg=0xa86b5b40) at pthread_create.c:309
#10 0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 7 (Thread 0xa61c1b40 (LWP 5125)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3b903eb in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb3eb17cc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xaff633b8) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xaff633b8, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:124
#4  0xb3ea20e0 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xaff633b8, timeout=-1, context=0xade01b38) at gmain.c:4028
#5  g_main_context_iterate (context=0xade01b38, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#6  0xb3ea2493 in g_main_loop_run (loop=0xade03460) at gmain.c:3928
#7  0xa774b64d in source_registry_object_manager_thread (data=0xade02c00) at e-source-registry.c:1131
#8  0xb3ec9cfb in g_thread_proxy (data=0xa7d03460) at gthread.c:764
#9  0xb3c6ad8a in start_thread (arg=0xa61c1b40) at pthread_create.c:309
#10 0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 6 (Thread 0xa69c2b40 (LWP 5124)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c6eb76 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:245
#2  0xb3ee9be0 in g_cond_wait_until (cond=cond@entry=0x8495f10, mutex=mutex@entry=0x8495f08, end_time=5873159042) at gthread-posix.c:892
#3  0xb3e74031 in g_async_queue_pop_intern_unlocked (queue=0x8495f08, wait=wait@entry=1, end_time=5873159042) at gasyncqueue.c:422
#4  0xb3e74864 in g_async_queue_timeout_pop_unlocked (queue=0x5e114b82, timeout=1) at gasyncqueue.c:570
#5  0xb3eca7c7 in g_thread_pool_wait_for_new_task (pool=0x84a2ca0) at gthreadpool.c:262
#6  g_thread_pool_thread_proxy (data=0x84a2ca0) at gthreadpool.c:296
#7  0xb3ec9cfb in g_thread_proxy (data=0x8437150) at gthread.c:764
#8  0xb3c6ad8a in start_thread (arg=0xa69c2b40) at pthread_create.c:309
#9  0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0xa71c3b40 (LWP 5123)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c6e7ac in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:187
#2  0xb3ee9aa1 in g_cond_wait (cond=cond@entry=0x8814e48, mutex=mutex@entry=0x8814e40) at gthread-posix.c:756
#3  0xb3e7404f in g_async_queue_pop_intern_unlocked (queue=queue@entry=0x8814e40, wait=wait@entry=1, end_time=-1) at gasyncqueue.c:419
#4  0xb3e74681 in g_async_queue_pop_unlocked (queue=0x8814e40) at gasyncqueue.c:475
#5  0xb3eca83b in g_thread_pool_wait_for_new_task (pool=0x88571f8) at gthreadpool.c:245
#6  g_thread_pool_thread_proxy (data=0x84a2ca0) at gthreadpool.c:296
#7  0xb3ec9cfb in g_thread_proxy (data=0x8437180) at gthread.c:764
#8  0xb3c6ad8a in start_thread (arg=0xa71c3b40) at pthread_create.c:309
#9  0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0xae772b40 (LWP 5121)):
#0  0xb7fddb1c in __kernel_vsyscall ()
---Type <return> to continue, or q <return> to quit---
#1  0xb3b903eb in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb3eb17cc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xade00c68) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xade00c68, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:124
#4  0xb3ea20e0 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xade00c68, timeout=-1, context=0x83f5128) at gmain.c:4028
#5  g_main_context_iterate (context=context@entry=0x83f5128, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#6  0xb3ea2229 in g_main_context_iteration (context=context@entry=0x83f5128, may_block=may_block@entry=1) at gmain.c:3795
#7  0xb00138d0 in dconf_gdbus_worker_thread (user_data=0x83f5128) at dconf-gdbus-thread.c:82
#8  0xb3ec9cfb in g_thread_proxy (data=0x8132a90) at gthread.c:764
#9  0xb3c6ad8a in start_thread (arg=0xae772b40) at pthread_create.c:309
#10 0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0xb081ab40 (LWP 5120)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3b903eb in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb3eb17cc in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=2, __fds=__fds@entry=0xaff02190) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xaff02190, nfds=nfds@entry=2, timeout=timeout@entry=-1) at gpoll.c:124
#4  0xb3ea20e0 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0xaff02190, timeout=-1, context=0x80d79c8) at gmain.c:4028
#5  g_main_context_iterate (context=0x80d79c8, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#6  0xb3ea2493 in g_main_loop_run (loop=0x80d7990) at gmain.c:3928
#7  0xb434398b in gdbus_shared_thread_func (user_data=0x80d79b0) at gdbusprivate.c:273
#8  0xb3ec9cfb in g_thread_proxy (data=0x80a3780) at gthread.c:764
#9  0xb3c6ad8a in start_thread (arg=0xb081ab40) at pthread_create.c:309
#10 0xb3b9ca0e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xb0dd6900 (LWP 5116)):
#0  0xb7fddb1c in __kernel_vsyscall ()
#1  0xb3c728b6 in raise (sig=sig@entry=15) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
#2  0xb432f10f in g_dbus_connection_real_closed (connection=0x80d8008, remote_peer_vanished=1, error=0x8176430) at gdbusconnection.c:817
#3  0xb34764e6 in ffi_call_SYSV () at ../src/x86/sysv.S:65
#4  0xb347626c in ffi_call (cif=<optimized out>, cif@entry=0xbfffec64, fn=<optimized out>, rvalue=<optimized out>, avalue=<optimized out>, avalue@entry=0xbfffebb0) at ../src/x86/ffi.c:411
#5  0xb3fa02b1 in g_cclosure_marshal_generic (closure=0x80d6890, return_gvalue=0x0, n_param_values=3, param_values=0xbfffee10, invocation_hint=0xbfffedb8, 
    marshal_data=0xb432f080 <g_dbus_connection_real_closed>) at gclosure.c:1445
#6  0xb3f9e485 in g_type_class_meta_marshal (closure=0x80d6890, return_value=0x0, n_param_values=3, param_values=0xbfffee10, invocation_hint=0xbfffedb8, marshal_data=0x44) at gclosure.c:961
#7  0xb3f9f9ee in g_closure_invoke (closure=closure@entry=0x80d6890, return_value=return_value@entry=0x0, n_param_values=3, param_values=param_values@entry=0xbfffee10, 
    invocation_hint=invocation_hint@entry=0xbfffedb8) at gclosure.c:768
#8  0xb3fb241a in signal_emit_unlocked_R (node=node@entry=0x80d6848, detail=detail@entry=0, instance=0x80d8008, emission_return=emission_return@entry=0x0, instance_and_params=0xbfffee10) at gsignal.c:3589
#9  0xb3fba5f1 in g_signal_emit_valist (instance=instance@entry=0x80d8008, signal_id=signal_id@entry=145, detail=detail@entry=0, 
    var_args=0xbfffef74 "\210\357\377\277\320\017\v\b\226\356\351\263`\246\366\257\310\070\340\255\373\222", <incomplete sequence \356\263>, var_args@entry=0xbfffef6c "\001") at gsignal.c:3307
#10 0xb3fba884 in g_signal_emit (instance=0x80d8008, signal_id=145, detail=detail@entry=0) at gsignal.c:3363
#11 0xb432d817 in emit_closed_in_idle (user_data=user_data@entry=0xaff669e0) at gdbusconnection.c:1385
#12 0xb3e9e691 in g_idle_dispatch (source=source@entry=0xaff6a6d8, callback=0xb432d7b0 <emit_closed_in_idle>, user_data=0xaff669e0) at gmain.c:5319
#13 0xb3ea1dbc in g_main_dispatch (context=0x80b0fd0) at gmain.c:3064
#14 g_main_context_dispatch (context=context@entry=0x80b0fd0) at gmain.c:3663
#15 0xb3ea2160 in g_main_context_iterate (context=context@entry=0x80b0fd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3734
#16 0xb3ea2229 in g_main_context_iteration (context=0x80b0fd0, context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3795
#17 0xb43068ec in g_application_run (application=0x83f28d8, argc=argc@entry=1, argv=argv@entry=0xbffff1a4) at gapplication.c:2114
#18 0x08059d54 in main (argc=1, argv=0xbffff1a4) at empathy.c:842
(gdb)

Comment 1 Fedora End Of Life 2015-05-29 12:38:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 22:04:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.